View Issue Details

IDProjectCategoryView StatusLast Update
0004613FreeCADBugpublic2021-08-11 16:20
Reporterslizgi Assigned Tochennes  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Summary0004613: Buttons in UI do not register click on whole button area.
DescriptionSo, I installed 0.19 yesterday and one thing that notice right away is that buttons in UI like (ok, cancel ect. the ones with blue gradient hover) Most of them not register click on whole area of the button, to actually click you have to click in the word, kind of annoying :) But for example Update button in Sketcher in Solver messages, works fine (whole area is clickable) I am using FC on Win10 64bit - Vesrion 10.0.19042 Compilation 19042.
Steps To ReproduceJust use this buttons in UI :)
TagsNo tags attached.
FreeCAD Information<!--ATTENTION:
COMPLETELY ERASE THIS AFTER PASTING YOUR
Help > About FreeCAD > Copy to clipboard
NOTE: just the snippet alone will do without anything else included.
The ticket will not be submitted without it.
-->

Activities

Kunda1

2021-04-05 13:44

administrator   ~0015599

@turn211 care to weigh in?

Kunda1

2021-04-05 14:05

administrator   ~0015600

wait a second, what version of freecad are you using? @slizgi
Please add you full About info (a step you skipped when you filled out this ticket)

slizgi

2021-04-05 16:57

reporter   ~0015601

Ah, snap! Sorry!

OS: Windows 10 Version 2009
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.24276 (Git)
Build type: Release
Branch: releases/FreeCAD-0-19
Hash: a88db11e0a908f6e38f92bfc5187b13ebe470438
Python version: 3.8.6+
Qt version: 5.15.1
Coin version: 4.0.1
OCC version: 7.5.0
Locale: Polish/Poland (pl_PL)

circuit

2021-04-07 00:39

reporter   ~0015603

Noticed the same thing here. Nice tip on clicking the text, I was mad clicking outside of the text area with no GUI response :)

OS: Windows 10 Version 2004
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.24276 (Git)
Build type: Release
Branch: releases/FreeCAD-0-19
Hash: a88db11e0a908f6e38f92bfc5187b13ebe470438
Python version: 3.8.6+
Qt version: 5.15.1
Coin version: 4.0.1
OCC version: 7.5.0
Locale: English/Canada (en_CA)

chennes

2021-04-10 02:52

developer   ~0015605

This is a bug in Qt 5.15.1 affecting all stylesheets: it was fixed upstream in Qt 5.15.2. Creation of an updated LibPack and new Windows releases is in process.

chennes

2021-08-11 16:20

developer   ~0015804

As this is an upstream bug that's fixed in the latest Qt release (and the latest FreeCAD LibPack), I'm marking this as fixed.

Issue History

Date Modified Username Field Change
2021-04-04 14:56 slizgi New Issue
2021-04-05 13:44 Kunda1 Note Added: 0015599
2021-04-05 14:05 Kunda1 Note Added: 0015600
2021-04-05 14:05 Kunda1 Status new => feedback
2021-04-05 16:57 slizgi Note Added: 0015601
2021-04-05 16:57 slizgi Status feedback => new
2021-04-07 00:39 circuit Note Added: 0015603
2021-04-10 02:52 chennes Note Added: 0015605
2021-04-10 03:00 chennes Assigned To => chennes
2021-04-10 03:00 chennes Status new => assigned
2021-08-11 16:20 chennes Status assigned => closed
2021-08-11 16:20 chennes Resolution open => fixed
2021-08-11 16:20 chennes Note Added: 0015804